Loading...
Searching...
No Matches
small_string.hpp File Reference

A constexpr string implementation to manipulate string literals at compile time. More...

`#include <istream>`
`#include <seqan3/utility/container/small_vector.hpp>`
Include dependency graph for small_string.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::small_string< capacity_ >
| Implements a small string that can be used for compile time computations. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

A constexpr string implementation to manipulate string literals at compile time.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me